# Generated by Django 3.1 on 2020-09-09 19:06

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('program', '0002_auto_20200907_0109'),
        ('user', '0006_auto_20200827_0044'),
    ]

    operations = [
        migrations.CreateModel(
            name='Kelas',
            fields=[
                ('id_kelas', models.AutoField(primary_key=True, serialize=False)),
                ('tanggal_mulai', models.DateField()),
                ('tanggal_selesai', models.DateField()),
                ('aktif', models.BooleanField(default=False, help_text='Penanda bahwa peserta sudah bisa mulai mendaftar kelas ini')),
                ('id_instruktur', models.ForeignKey(db_column='id_instruktur', on_delete=django.db.models.deletion.CASCADE, to='user.instruktur')),
                ('id_pelatihan', models.ForeignKey(db_column='id_pelatihan', on_delete=django.db.models.deletion.CASCADE, to='program.pelatihan')),
            ],
            options={
                'db_table': 'kelas',
            },
        ),
        migrations.CreateModel(
            name='Utas',
            fields=[
                ('id_utas', models.AutoField(primary_key=True, serialize=False)),
                ('judul_utas', models.TextField()),
                ('role_pembuat_utas', models.CharField(choices=[('PS', 'Peserta'), ('IR', 'Instruktur')], max_length=2)),
                ('id_pembuat_utas', models.CharField(max_length=2000)),
                ('id_kelas', models.ForeignKey(db_column='id_kelas', on_delete=django.db.models.deletion.CASCADE, to='kelas.kelas')),
            ],
            options={
                'db_table': 'utas',
            },
        ),
        migrations.CreateModel(
            name='Transaksi',
            fields=[
                ('id_transaksi', models.AutoField(primary_key=True, serialize=False)),
                ('bukti_transaksi', models.ImageField(blank=True, upload_to='user/bt_tra/')),
                ('terkonfirmasi', models.BooleanField(default=False)),
                ('id_kelas', models.ForeignKey(db_column='id_kelas', on_delete=django.db.models.deletion.CASCADE, to='kelas.kelas')),
                ('id_peserta', models.ForeignKey(db_column='id_peserta', on_delete=django.db.models.deletion.CASCADE, to='user.peserta')),
            ],
        ),
        migrations.CreateModel(
            name='Post',
            fields=[
                ('id_post', models.AutoField(primary_key=True, serialize=False)),
                ('role_pembuat_post', models.CharField(choices=[('PS', 'Peserta'), ('IR', 'Instruktur')], max_length=2)),
                ('id_pembuat_post', models.CharField(max_length=2000)),
                ('isi', models.TextField()),
                ('waktu_dibuat', models.DateTimeField(auto_now_add=True)),
                ('id_post_terbalas', models.ForeignKey(blank=True, db_column='id_post_terbalas', null=True, on_delete=django.db.models.deletion.CASCADE, to='kelas.post')),
                ('id_utas', models.ForeignKey(db_column='id_utas', on_delete=django.db.models.deletion.CASCADE, to='kelas.utas')),
            ],
            options={
                'db_table': 'post',
            },
        ),
        migrations.AddField(
            model_name='kelas',
            name='id_peserta',
            field=models.ManyToManyField(through='kelas.Transaksi', to='user.Peserta'),
        ),
        migrations.CreateModel(
            name='Bab_Pelatihan',
            fields=[
                ('id_bab', models.AutoField(primary_key=True, serialize=False)),
                ('judul_bab', models.TextField()),
                ('id_kelas', models.ForeignKey(db_column='id_kelas', on_delete=django.db.models.deletion.CASCADE, to='kelas.kelas')),
            ],
            options={
                'db_table': 'bab_pelatihan',
            },
        ),
    ]
